1

apt-get sub-process returned an error code (1)

view story
linux-howto

http://serverfault.com – I recently removed apache2 from my linode ubuntu server with: apt-get --purge remove apache2 Then tried to install it again (apt-get install apache2). But since then, I can't use apt-get anymore, I get the following (resumed): ERROR: Site default does not exist! dpkg: error processing apache2.2-common (--configure): dpkg: dependency problems are stoping apache2-mpm-worker of being configured dpkg: dependency problems are stoping apache2 of being configured E: Sub-process /usr/bin/dpkg returned an error code (1) If I remove apache2, apache2.2-common and apache2-mpm-worker everything wor (HowTos)